VST 3 Interfaces VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
RepresentationInfo Struct Reference

RepresentationInfo is the structure describing a representation This structure is used in the function. More...

`#include <ivstrepresentation.h>`

## Public Types
enum | { kNameSize = 64 }

## Public Member Functions
| RepresentationInfo ()
| RepresentationInfo (char8 *_vendor, char8 *_name=0, char8 *_version=0, char8 *_host=0)

## Public Attributes
char8 | vendor [kNameSize]
| Vendor name of the associated representation (remote) (eg. "Yamaha"). More...
char8 | name [kNameSize]
| Representation (remote) Name (eg. "O2"). More...
char8 | version [kNameSize]
| Version of this "Remote" (eg. "1.0"). More...
char8 | host [kNameSize]
| Optional: used if the representation is for a given host only (eg. "Nuendo"). More...

## Detailed Description

RepresentationInfo is the structure describing a representation This structure is used in the function.

See also
  IXmlRepresentationController::getXmlRepresentationStream.
  IXmlRepresentationController

## Member Enumeration Documentation

anonymous enum

Enumerator
kNameSize |

## Constructor & Destructor Documentation

RepresentationInfo | ( |  | ) |
| inline

RepresentationInfo | ( | char8 * | _vendor,
|  | char8 * | _name = `0`,
|  | char8 * | _version = `0`,
|  | char8 * | _host = `0`
| ) |  |
| inline

## Member Data Documentation

char8 vendor[kNameSize]

Vendor name of the associated representation (remote) (eg. "Yamaha").

char8 name[kNameSize]

Representation (remote) Name (eg. "O2").

char8 version[kNameSize]

Version of this "Remote" (eg. "1.0").

char8 host[kNameSize]

Optional: used if the representation is for a given host only (eg. "Nuendo").

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.